#include "mof/LoggedInputReceiver.hpp"
#include "mof/InputDevice.hpp"

mof::LoggedInputReceiver::LoggedInputReceiver(TCHAR* filename )
: mof::InputReceiver() , m_log(filename){
}

mof::LoggedInputReceiver::~LoggedInputReceiver(){
	
}

bool mof::LoggedInputReceiver::testKeyState(mof::InputReceiver::Key){
	bool result = false;
	m_log >> result;
	return result;
	
}

void mof::LoggedInputReceiver::update(){
}

